<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
    <button class="btn btn-success" (click)="guardarForm()"
        [disabled]="!folio.hfolio && !ttHuesfal[0].hfecreg || !ttHuesfal[0].htarifa || !ttHuesfal[0].hhotel">
        <i class="fas fa-save mr-2"></i>Guardar
    </button>
    <button class="btn btn-secondary ml-1" (click)="reinciar();">
        <i class="fas fa-redo mr-2"></i> Reiniciar
    </button>
</app-page-title>

<div class="card">
    <div class="card-body">
        <div class="row d-flex justify-content-between">
            <div class="form-group col-4 col-sm-4 col-md-3 col-lg-3 col-xl-2">
                <div class="input-group">
                    <div class="input-group-prepend">
                        <div class="input-group-text"><i class="fa fa-hashtag"></i></div>
                    </div>
                    <input type="number" class="form-control" name="hfolio" pattern="[0-9]+"
                        (change)="valueChange(fol.value)" [(ngModel)]="folio.hfolio" #fol>
                    <span class="input-group-append">
                        <button (click)="openModal(modal)" class="btn btn-info">
                            <i class="fa fa-search"></i>
                        </button>
                    </span>
                </div>
            </div>
            <div class="form-group col-6 col-sm-5 col-md-5 col-lg-4 col-xl-4">
                <div class="input-group">
                    <div class="input-group-prepend">
                        <div class="input-group-text">Nombre(s)</div>
                    </div>
                    <input type="text" class="form-control" name="hnombre" [(ngModel)]="folio.hnombre" readonly>
                </div>
            </div>
            <div class="form-group col-6 col-sm-5 col-md-5 col-lg-4 col-xl-4">
                <div class="input-group">
                    <div class="input-group-prepend">
                        <div class="input-group-text">Apellido(s)</div>
                    </div>
                    <input type="text" class="form-control" name="hapellido" [(ngModel)]="folio.hapellido" readonly>
                </div>
            </div>
            <div class="form-group col-4 col-sm-4 col-md-3 col-lg-3 col-xl-2">
                <div class="input-group">
                    <div class="input-group-prepend">
                        <div class="input-group-text">E.A.</div>
                    </div>
                    <input type="text" class="form-control" name="heactual" [(ngModel)]="folio.heactual" readonly>
                </div>
            </div>
            <div class="form-group col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2">
                <label for="hfent" class="w-50">Entrada</label>
                <i class="ml-4 text-muted h6">{{ dayOfWeek1 }}</i>
                <kendo-datepicker [format]="formatKendo" name="hfent" class="w-100" [(ngModel)]="folio.hfent" disabled>
                </kendo-datepicker>
            </div>
            <div class="form-group col-4 col-sm-3 col-md-2 col-lg-2 col-xl-1">
                <label for="noches">Noches</label>
                <div class="input-group">
                    <input type="text" class="form-control" name="noches" [(ngModel)]="noches" disabled>
                </div>
            </div>
            <div class="form-group col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2">
                <label for="hfsal" class="w-50">Salida</label>
                <i class="ml-4 text-muted h6">{{ dayOfWeek2 }}</i>
                <kendo-datepicker [format]="formatKendo" name="hfsal" class="w-100" [(ngModel)]="folio.hfsal" disabled>
                </kendo-datepicker>
            </div>
            <div class="form-group col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2">
                <label for="hfsal" class="w-50">Regreso</label>
                <i class="ml-4 text-muted h6">{{ dayOfWeek3 }}</i>
                <kendo-datepicker [format]="formatKendo" name="hfecreg" [min]="ttInfocia.fday" class="w-100"
                    [(ngModel)]="ttHuesfal[0].hfecreg">
                </kendo-datepicker>
            </div>
            <div class="form-group col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2">
                <label for="tarifa">Tarifa</label>
                <input type="number" class="form-control" name="htarifa" [(ngModel)]="ttHuesfal[0].htarifa" required>
            </div>
            <div class="form-group col-12">
                <label for="notas" class="w-100">Notas</label>
                <textarea name="hhotel" class="form-control" cols="30" rows="1" [(ngModel)]="ttHuesfal[0].hhotel"
                    required></textarea>
            </div>

        </div>

        <div class="mt-2">
            <kendo-grid [data]="dataGrid" [reorderable]="true" [resizable]="true" style="height:50vh;">
                <kendo-grid-column field="hfolio" title="# Folio" width="100"></kendo-grid-column>
                <kendo-grid-column field="hapellido" title="Apellido(s)" width="220"></kendo-grid-column>
                <kendo-grid-column field="hnombre" title="Nombre(s)" width="220"></kendo-grid-column>
                <kendo-grid-column field="heactual" title="E.A." width="100"></kendo-grid-column>
            </kendo-grid>
        </div>

        <ng-template #modal let-modal let-c="close">
            <div class="modal-header">
                <h6 class="modal-title">Huespedes en Casa</h6>
                <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <app-buscar (resultFolio)="resultHuesped($event); c();" [ttfolio]="dataFolios" [huesped]="'*'">
                </app-buscar>
            </div>
            <div class="modal-footer">
                <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
            </div>
        </ng-template>
    </div>
</div>